Skip to main content
POST
Post File Upload

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Body

application/json
content_length
integer
required

The size (in bytes) of the file that will be uploaded. The pre-signed URL will only accept a file of this size.

Required range: x <= 100000000
content_type
enum<string>
required

The content type of the file that will be uploaded. This must also be passed as a 'content-type' header during the upload. The pre-signed URL will only accept a file of this content-type.

Available options:
application/vnd.apache.parquet,
application/geo+json
file_name
string
required

The original filename of the file that will be uploaded. This is used for display purposes only and does not affect the upload process.

kind
enum<string>
default:time_series_data

The kind of file that will be uploaded. Kind must match the content type of the file:

  • time_series_data must be in Apache Parquet format
  • site_geojson must be in GeoJSON format
Available options:
time_series_data,
site_geojson

Response

Successful Response

id
string
required
Required string length: 20 - 37
Examples:

"tfu_1DZPAW31R1S0ZESH"

"tfu_1CHF4YC38SBX9E20"

upload_url
string
required

A presigned upload URL, which must be used to upload the document associated with this source.